Bug 212970 - SWAP space lost due to ipr 0002:c8:01.0: pci_map_sg failed AND iommu_alloc failed
SWAP space lost due to ipr 0002:c8:01.0: pci_map_sg failed AND iommu_alloc fa...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
ppc64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-30 07:56 EST by Alexey Bozrikov
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.6.19-1.2911
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-06 03:59:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexey Bozrikov 2006-10-30 07:56:47 EST
Description of problem:
After system restart with new kernel, SWAP space was missing. After examining 
output of 'dmesg' several kernel messages found related to the problem.

Version-Release number of selected component (if applicable):
Linux lnxsrv.local 2.6.18-1.2200.fc5 #1 SMP Sat Oct 14 17:08:02 EDT 2006 ppc64 
ppc64 ppc64 GNU/Linux

How reproducible:
Just started the new kernel and noted swap space absense

Steps to Reproduce:
1. in Fedora Core 5-install kernel 2.6.18-1.2200.fc5 and reboot. Swap space 
must be defined
2.
3.
  
Actual results:
swap space missing and 'swapon -a' command reports '/dev/md0: invalid argument'

Expected results:
normal swap space activation

Additional info:
(a) Device /dev/md0 reported as operational and OK (from /proc/mdstat):
md0 : active raid1 sdb3[1] sda3[0]
      3148672 blocks [2/2] [UU]

(b) After execting `mkswap -c -L swap /dev/md0' everything reverted back to 
normal operation.

(c) Excerpt from 'dmesg':
[quote]
iommu_alloc failed, tbl c000000001014c00 vaddr c0000000249b9000 npages 1
ipr 0002:c8:01.0: pci_map_sg failed!
iommu_alloc failed, tbl c000000001014c00 vaddr c00000002e48b000 npages 1
ipr 0002:c8:01.0: pci_map_sg failed!
iommu_alloc failed, tbl c000000001014c00 vaddr c000000049c03000 npages 1
ipr 0002:c8:01.0: pci_map_sg failed!
iommu_alloc failed, tbl c000000001014c00 vaddr c00000001f39f000 npages 1
ipr 0002:c8:01.0: pci_map_sg failed!
iommu_alloc failed, tbl c000000001014c00 vaddr c0000000234be000 npages 1
ipr 0002:c8:01.0: pci_map_sg failed!
iommu_alloc failed, tbl c000000001014c00 vaddr c00000001f34c000 npages 1
ipr 0002:c8:01.0: pci_map_sg failed!
iommu_alloc failed, tbl c000000001014c00 vaddr c000000021403000 npages 1
ipr 0002:c8:01.0: pci_map_sg failed!
Unable to find swap-space signature
[unquote]

(d) Device /dev/md0 was created on two SCSI disks attached to:
0002:c8:01.0 SCSI storage controller: Mylex Corporation AcceleRAID 
600/500/400/Sapphire support Device (rev 04)
        Subsystem: IBM Dual Channel PCI-X U320 SCSI Adapter
        Flags: bus master, 66MHz, slow devsel, latency 144, IRQ 117
        BIST result: 00
        Memory at 500f8900000 (64-bit, non-prefetchable) [size=256K]
        Memory at 500f8000000 (64-bit, prefetchable) [size=8M]
        Expansion ROM at 500f8800000 [disabled] [size=1M]
        Capabilities: [40] PCI-X non-bridge device
        Capabilities: [50] Message Signalled Interrupts: 64bit+ Queue=0/0 
Enable-
        Capabilities: [78] Power Management version 2

(e) Linux is running on an IBM 9117-P570 LPAR, 3GB RAM, 0.5 physical CPU 
(POWER5, 1.65GHz)

(f) No other errors or unusual messages spotted in 'dmeag' output.
Comment 1 David Woodhouse 2006-11-23 04:40:42 EST
Please check /etc/yaboot.conf and see whether it's listing your swap partition
as one of the boot drives. If so, that would explain why it got reformatted.
Comment 2 Alexey Bozrikov 2007-03-06 03:59:48 EST
The problem does not seem to re-appear with latest FC6-PPC64 kernels. 
Considering it fixed?

# uname -a
Linux lnxsrv.company.com 2.6.19-1.2911.fc6 #1 SMP Sat Feb 10 15:04:12 EST 2007 
ppc64 ppc64 ppc64 GNU/Linux

Note You need to log in before you can comment on or make changes to this bug.